/*
	Licensed Material - Property of IBM

	(C) Copyright 2015, 2016 IBM Corp.

	Unless required by applicable law or agreed to in writing, software
	distributed under the License is distributed on an "AS IS" BASIS,
	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
	See the License for the specific language governing permissions and
	limitations under the License.
*/


'use strict';

var getApplications = require('../lib/rest-client-api/rest-client-api.js').getApplications;
var deleteApplication = require('../lib/rest-client-api/rest-client-api.js').deleteApplication;
var getAdapters = require('../lib/rest-client-api/rest-client-api.js').getAdapters;
var getAdapter = require('../lib/rest-client-api/rest-client-api.js').getAdapter;
var deleteAdapter = require('../lib/rest-client-api/rest-client-api.js').deleteAdapter;
var getRuntimes = require('../lib/rest-client-api/rest-client-api.js').getRuntimes;
var getAuthToken = require('../lib/rest-client-api/rest-client-api.js').getAuthToken;
var getCertificate = require('../lib/rest-client-api/get-certificate.js').getCertificate;
var profileIO = require('./profileIO');
var getServerDetails = require('./get-server-details.js');
var getServerDefaults = require('../lib/rest-client-api/constants/defaultOptions.js');

module.exports = {
    "getApplications": getApplications,
    "deleteApplication": deleteApplication,
    "getAdapters": getAdapters,
    "getAdapter": getAdapter,
    "deleteAdapter":deleteAdapter,
    "getRuntimes": getRuntimes,
    "getAuthToken": getAuthToken,
    "profileIO": profileIO,
    "getServerDetails": getServerDetails,
    "getServerDefaults": getServerDefaults,
    "getCertificate": getCertificate
};
